Update audience customers
curl --request PATCH \
--url https://{host}/audience/v1/audiences/{audienceId}/customers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"membersToAdd": [
"<string>"
],
"membersToRemove": [
"<string>"
],
"membersReplaceAll": true
}
'import requests
url = "https://{host}/audience/v1/audiences/{audienceId}/customers"
payload = {
"membersToAdd": ["<string>"],
"membersToRemove": ["<string>"],
"membersReplaceAll": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
membersToAdd: ['<string>'],
membersToRemove: ['<string>'],
membersReplaceAll: true
})
};
fetch('https://{host}/audience/v1/audiences/{audienceId}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}PATCH
/
v1
/
audiences
/
{audienceId}
/
customers
Update audience customers
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
ID of the audience to update.
Body
application/jsontext/jsonapplication/*+json
The list of customers Ids to add and remove.
Response
OK
Last modified on August 10, 2026
⌘I